/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

#define LINK_COLOR_NORMAL RGB(0,0,255)

class CCustomButton : public CButton
{
	DECLARE_DYNAMIC(CCustomButton)

public:
    CCustomButton();   // standard constructor
    virtual ~CCustomButton();
    void DrawButton(CDC &dc);
    CString getText() const { return text; }
    void setText(CString val) { text = val; }

protected:
    CString text;
    CFont fontLink;

    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    afx_msg void DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct);

  DECLARE_MESSAGE_MAP()
    afx_msg void OnPaint();
    afx_msg void OnSetFocus(CWnd* pOldWnd);
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    afx_msg void OnEnable( BOOL bEnable );
    afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
    afx_msg void OnLButtonUp(UINT nFlags,  CPoint point  );
    afx_msg void OnSettingChange( UINT uFlags,  LPCTSTR lpszSection  );
};


